## libgtkmozembed 0.9.6-1

=== debian/changelog ===
libgtkmozembed (0.9.6-1) unstable; urgency=low

  * Fixed deblayout path
  * Improved Page using and navigation with finger
  * Fixed bugs related to single line, multiline widgets...
  * Removed showing CTX menu on buttons checkbox.... (I guess it is ugly and should be removed from spec)
  * Fixed google docs drag problem...
  * Disabled panning on Complicated <a> tags
  * Added still some fixes for crash on close fix
  * Fixed crash on exit
  * Double destroy of EmbedPrivate

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sat,  7 Jul 2007 23:59:01 +0300

libgtkmozembed (0.9.5-1.1) unstable; urgency=low

  * Fixed broken progress bar
  * Fixed major memory leak on closing browser XPCOM not shutdowned
  * Fixed broken Password Manager destroy (double free :( )
  * Bug Fixes: 58258,61991,58189

 -- Oleg Romashin <oleg.romashin@nokia.com>  Wed,  4 Jul 2007 15:32:06 +0300

libgtkmozembed (0.9.4-1.1) unstable; urgency=low

  * Bug Fixes: 61548,56205,53999
  * Fixed memory leak on not closed file pointer
  * Removed some not required memory allocation Also fixed one Invalid read
  * Enabled keyword.URL support

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun,  1 Jul 2007 18:37:17 +0300

libgtkmozembed (0.9.3-1.1) unstable; urgency=low

  * Bug Fixes: 55796,55568
  * Replaced literal value 0U by corresponding enum
  * Fixed animation stop after mouse up. Fixed Start panning (CSM open 
  * Declaration moved in gtkmozembed2 functions list
  * Fixed broken function heade
  * Added more improvements for image loading
  * Fixed damn SILLY typo in patch 330
  * Updated image loading patch with some improvements. There are still ...
  * Fixed history initialize memory leak
  * Fixed some memory leaks and compiler warnings
  * Added patch for image loading improvements (loading from CSM and page ...

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sat, 23 Jun 2007 21:40:58 +0300

libgtkmozembed (0.9.2-1.1) unstable; urgency=low

  * Bug Fixes: 52028
  * Updated patch 270_clear_window_on_title.diff: fixed focus problem
  * Renamed history.dat to txt, to disable mixing with auto data
  * PanStateReset? moved in first panning patch Fixed bug with wrong
    blocked...
  * Enabled Extension Manager

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri, 15 Jun 2007 16:01:59 +0300

libgtkmozembed (0.8.40-1.1) unstable; urgency=low

  * Some mozilla coding style adjustments
  * Updated patch to fix vertical resizing
  * Fix for Vertical resizing
  * Added extension manager functionality

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri,  8 Jun 2007 17:29:27 +0300

libgtkmozembed (0.8.39-1.1) unstable; urgency=low

  * Fixed bug blocking URI open after panning Merged some patches
  * Fixed missed patch part

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun,  3 Jun 2007 18:25:59 +0300

libgtkmozembed (0.8.38-1.1) unstable; urgency=low

  * Added workaround for cleaning window after title change
  * Updated to trunk microb-engine

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun,  3 Jun 2007 14:36:55 +0300

libgtkmozembed (0.8.37-1.1) unstable; urgency=low

  * Fixed building with different OBJ dir
  * Fixed makefiles for building in OBJ DIR
  * Fixed panning problems on spreadsheets.google.com

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 28 May 2007 19:26:34 +0300

libgtkmozembed (0.8.36-1.1) unstable; urgency=low

  * Added Stuff for handling js event listeners
  * Fixed header info
  * Bugfix for panning on http://www.google.ru/ig?hl=en
  * Fixed brocken function for getting scrollable window
  * Fixed return value when there are no JS handler
  * Added JSEventHandler functions
  * Removed small ftv fix and added fix for zoom rendering
  * Added JSEventListenerHandler

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun, 27 May 2007 11:41:04 +0300

libgtkmozembed (0.8.35-1.1) unstable; urgency=low

  * Added funtion to update FTV
  * Fixed Select All dimmed when focus is on framesets.

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri, 25 May 2007 10:04:42 +0300

libgtkmozembed (0.8.34-1.1) unstable; urgency=low

  * Fixed panning in frames IFrames
  * Fixed connection to additional signals in other windows
  * Code cleanup for notify plugins
  * Fixed Crash on ref pointer
  * Fixed panning in frames, and probably fully fixed problems with panning in...
  * Fixed default nasty progress value
  * Fully fixed and some reorganized suspend on panning and scrolling
  * Fixed free panning/scrolling
  * Added New Panning organization patch with Scrollbar fix and full ...
  * Added pan optimizations 3 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun, 20 May 2007 18:19:07 +0300

libgtkmozembed (0.8.33-1.0) unstable; urgency=low

  * New pan organization divided on to parts (Without/With engine hack) Fixed...
  * Fixed Broken coords check

 -- Oleg Romashin <oleg.romashin@nokia.com>  Wed, 16 May 2007 16:20:31 +0300

libgtkmozembed (0.8.32-1.1) unstable; urgency=low

  * Bug Fixes: 56203
  * Fixed force pan option according to fixed selection ;)
  * update 235_Plugin_Notification.diff
  * Fixed force pan option according to fixed selection ;)
  * Fixed bug Bug 373196 text selection with the mouse not working
  * Reorganized patchset and patch numbers
  * Progress hacks patch moved to the end of patchset All plugins hacks ...

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue, 15 May 2007 12:59:50 +0300

libgtkmozembed (0.8.31-1.1) unstable; urgency=low

  * Added patch for Insert text to cursor position

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun, 13 May 2007 20:15:30 +0300

libgtkmozembed (0.8.30-1.0) unstable; urgency=low

  * Bug Fixes: 56105,56112,56222,56090
  * Added workaround solution while Broken images will not fixed properly
  * Some fix for improve user mouse iteractions

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue,  8 May 2007 20:34:07 +0300

libgtkmozembed (0.8.29-1.0) unstable; urgency=low

  * Bug Fixes: 50591,55696,55791,55679
  * Implemented get_text function for supporting thumb VKB

