## libgtkmozembed 0.9.7-3

=== debian/changelog ===
libgtkmozembed (0.9.7-3) unstable; urgency=low

  * Changed section name(user/libs to libs) in Debian control file.

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue,  7 Aug 2007 12:38:24 +0300

libgtkmozembed (0.9.7-2) unstable; urgency=low

  * Updated version and changelog 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri, 03 Aug 2007 16:34:32 +0300

libgtkmozembed (0.9.7-1) unstable; urgency=low

  * Authentication dialog remembers incorrect password although it would be
    corrected by the user later on. Fixes: NB#61544

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri, 20 Jul 2007 20:58:23 +0300
