## libgtkmozembed 0.9.7-4

=== debian/changelog ===
libgtkmozembed (0.9.7-4) unstable; urgency=low

  * Security bug fix.

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue, 11 Dec 2007 10:10:05 +0200
