## libgtkmozembed 0.9.18-1

=== debian/changelog ===
libgtkmozembed (0.9.18-1) unstable; urgency=low

  * Reverted the following patches:
      215_new_pan_organization2.diff.
      216_new_pan_organization3.diff
      400_fix_for_csm_behaviour.diff
      370_AJAX_CSM_improvements.diff

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 18 Oct 2007 11:54:44 +0300

libgtkmozembed (0.9.17-1) unstable; urgency=low

  * Fixed bug:[crash]browser crashes when pop-up is closed.
    Fixes: NB#63908

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 15 Oct 2007 12:15:36 +0300

libgtkmozembed (0.9.16-1) unstable; urgency=low

  * Fixed bug:holding down stylus gives spurious motion notify events. 
    Fixes: NB#61404
  * Added SELECT functionality. Fixes: NB#72257

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun,  7 Oct 2007 19:13:56 +0300

libgtkmozembed (0.9.15-1) unstable; urgency=low

  * Fixed static cast according to bug 348748
  * Fixed nsICommandManager.h include
  * Fixed bug:Go to BBC news and try to watch a video from their site. 
    Fixes: NB#70847
  * Fixed bug:Can't use e.g. bolded scandinavian character with Blogger site.
    Fixes: NB#68863
  * Fixed bug:browser crash when try to delete item from download dialog.
    Fixes: NB#70968
  * Fixed bug:Browser does not send the resume event to flashplayer after
    dragging if stylus has left the browser window. Fixes: NB#69799

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun, 30 Sep 2007 14:59:27 +0300

libgtkmozembed (0.9.14-1) unstable; urgency=low

  * Fixed bug:Browser does not send the resume event to flashplayer after
    dragging if stylus has left the browser window. Fixes: NB#69799
  * Updated gtkmozembed side after last change in engine related to JS handled
    event interface
  * Added some NULL checks for download interface
  * Added bugfix for bug 70251: browser doesnt react to turning off/on flashplugin for swf files
  * Fixed bug:MediaPlayer doesn't start properly from a BBC video page. 
    Fixes: NB#70098
  * Fixed bug:browser crash after tap on download dialog buttons. 
    Fixes: NB#70132
  * Fixed some crashes in downloads code
  * Fixed some minor and major problems, detected by coverity

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun, 23 Sep 2007 21:34:08 +0300

libgtkmozembed (0.9.13-1) unstable; urgency=low

  * Fixed bug 55539 image details does not show dimensions every time
  * Fixed bug:The ComboBox placed on page works incorrectly. Fixes: NB#66883
  * Fixed wrong using of g_list_remove_link
  * Fixed using freed element
  * Fixed bug:Valgrind reported unconditional jumps in Browse. 
    Fixes: NB#66825
  * Enabled blocking popups listener
  * Fixed bug:Cursor is in wrong positon after special character is typed.
    Fixes: NB#63169
  * Fixed bug:Pressing enter is closing FKB with www.hotmail.com site..
    Fixes: NB#69462
  * Fixed proper sending events for plugins
  * Updated fix for RSS xsl transformations handling
  * Fixed bug:WB toolbar lacks RSS button for BBC feeds. Fixes: NB#54733
  * Added proper implementation of downloader withou download request
  * Fixed bug:Image details - incorrect file size. Fixes: NB#39125
  * Fixed bug:Web browser doesn't download file. Fixes: NB#68061

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 17 Sep 2007 09:24:13 +0300

libgtkmozembed (0.9.12-2) unstable; urgency=low

  * Fixed bug:Browser crashed when going to add a comment and starting to
    write in entry field. Fixes: NB#68230

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun,  9 Sep 2007 17:43:08 +0300

libgtkmozembed (0.9.12-1) unstable; urgency=low

  * Fixed bug:save as function does not work correct from This frame submenu.
    Fixes: NB#53497
  * Fixed bug::Web, additional semi-colon in the string plugin description.
    Fixes: NB#65308
  * Fixed bug:Thumb keyboard doesn't work inside Gmail plain text. Fixes: NB#65457
  * Fixed bug:Scroll bars hide under VKB.. Fixes: NB#55622
  * Disabled VKB Resize control by default, probably should be dropped at all

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun,  9 Sep 2007 17:16:49 +0300

libgtkmozembed (0.9.11-1) unstable; urgency=low

  * Fixed Memory leaks for bug 66824 
  * Added small fix for plugins list function

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri, 31 Aug 2007 20:36:30 +0300

libgtkmozembed (0.9.10-1) unstable; urgency=low

  * Added patch wich supposed to enable dom popup block support.
  * Fixed bug: CSM is not giving options to select 'open in new window' for
    web links. Fixes: NB#64465
  * Fixed bug:Browser failed to load under memory full condition. 
    Fixes: NB#62021
  * Fixed bug: Click on the zooming bar on the left once, and you get a CSM
    menu launched. Fixes: NB#65859

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun, 26 Aug 2007 15:59:18 +0300

libgtkmozembed (0.9.9-1) unstable; urgency=low

  * Fixed bug:This Frame is missing from CSM. Fixes: NB#58158

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri, 17 Aug 2007 19:12:03 +0300

libgtkmozembed (0.9.8-2) unstable; urgency=low

  * Fixed build bustage

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 13 Aug 2007 09:37:30 +0300

libgtkmozembed (0.9.8-1) unstable; urgency=low

  *  Fixed bug: Changing blog's template on www.blogger.com does not work
     properly because of CSM showing up. Fixes: NB#58922
  * Changed order of patch applying
  * Downloads moved in one place
  * Fixed browser crash bug. We have to check again closing browser testcases.
    Fixes: NB#65157

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun, 12 Aug 2007 20:17:13 +0300
