## libgtkmozembed 1.2.3-5.4

=== debian/changelog ===
libgtkmozembed (1.2.3-5.4) unstable; urgency=low

  * Fixes: NB#85476 Forward-Backward buttons on browser work only on 2nd
    press after panning. 

 -- Anton Rogaynis <anton.rogaynis@nokia.com>  Mon,  2 Jun 2008 14:14:53 +0300

libgtkmozembed (1.2.3-5.3) unstable; urgency=low

  * Fixes: NB#85021 when text input is autofocused pressing backspace key
    causes that browser goes back to previous page

 -- Anton Rogaynis <anton.rogaynis@nokia.com>  Wed,  7 May 2008 20:53:13 +0300

libgtkmozembed (1.2.3-5.2) unstable; urgency=low

  * Updated changelog. 

 -- Anton Rogaynis <anton.rogaynis@nokia.com>  Tue, 29 Apr 2008 20:34:47 +0300

libgtkmozembed (1.2.3-5.1) unstable; urgency=low

  * Fixes: NB#83382 Browser: 'Browserd' and, 'Internal Error...', Crash.

 -- Anton Rogaynis <anton.rogaynis@nokia.com>  Sun, 20 Apr 2008 17:03:04 -0400

libgtkmozembed (1.2.3-5) unstable; urgency=low

  * Required changes for MB:412822 nsIFilePicker makes it hard to drop in other url systems

 -- Josh Soref <josh.soref@nokia.com>  Mon, 14 Apr 2008 15:28:53 +0300

libgtkmozembed (1.2.3-4) unstable; urgency=low

  * Missing patch added 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 10 Apr 2008 11:22:01 +0300

libgtkmozembed (1.2.3-3) unstable; urgency=low

  * Fixes: NB#83352 browser crashes when closing new opened window

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 10 Apr 2008 11:21:14 +0300

libgtkmozembed (1.2.3-2) unstable; urgency=low

  * Fixes: NB#79169 Browser crashes in the mentioned scenario.

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue, 08 Apr 2008 15:23:27 +0300

libgtkmozembed (1.2.3-1) unstable; urgency=low

  * Fixes: NB#83331 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue, 01 Apr 2008 13:48:34 +0300

libgtkmozembed (1.2.2-4) unstable; urgency=low

  * Fixed proper downloading of gzipped favicons (engadget.com).

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 31 Mar 2008 17:46:34 +0300

libgtkmozembed (1.2.2-3) unstable; urgency=low

  * Fixes: NB#82620 RSS Feed Reader - can't add feed after first page loading

 -- Anton Rogaynis <anton.rogaynis@nokia.com>  Mon, 31 Mar 2008 16:25:45 -0400

libgtkmozembed (1.2.2-2) unstable; urgency=low

  * Fixes: NB#77860 [FAVICON] are wrong displayed in application switcher

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 31 Mar 2008 16:50:49 +0300

libgtkmozembed (1.2.2-1) unstable; urgency=low

  * Fixes: NB#82793 Browser should not suspend

 -- Oleg Romashin <romaxa@gmail.com>  Mon, 31 Mar 2008 11:20:08 +0300

libgtkmozembed (1.2.1-4) unstable; urgency=low

  * Fixes: NB#79169 Browser crashes in the mentioned scenario 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 27 Mar 2008 17:31:09 +0200

libgtkmozembed (1.2.1-3) unstable; urgency=low

  * Fixes: NB#83101 Installed Components: Details/No spaces between semicolons
 
 -- Oleg Romashin <oleg.romashin@nokia.com>  Wed, 26 Mar 2008 16:47:16 +0200

libgtkmozembed (1.2.1-2) unstable; urgency=low

  * Fixes: NB#81393 Browser Unlocalised string

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue, 25 Mar 2008 11:55:35 +0200

libgtkmozembed (1.2.1-1) unstable; urgency=low

  * Fixed History list save on close last window

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 20 Mar 2008 17:24:06 +0200

libgtkmozembed (1.1.9-11) unstable; urgency=low

  * Additional Fixes: NB#78327  

 -- Anton Rogaynis <rogainis@gmail.com>  Thu, 20 Mar 2008 10:40:56 -0400

libgtkmozembed (1.1.9-10) unstable; urgency=low

  * Added special preference for disabling engine suspend

 -- Oleg Romashin <romaxa@gmail.com>  Wed, 19 Mar 2008 19:03:27 +0200

libgtkmozembed (1.1.9-9) unstable; urgency=low

  * Fixes: NB#78327 thumb keyboard is invoked over readOnly textarea 

 -- Anton Rogaynis <rogainis@gmail.com>  Wed, 19 Mar 2008 18:54:29 -0400

libgtkmozembed (1.1.9-8) unstable; urgency=low

  * Fixed build bustage 

 -- Oleg Romashin <romaxa@gmail.com>  Wed, 19 Mar 2008 17:15:19 +0200

libgtkmozembed (1.1.9-7) unstable; urgency=low

  * Fixes: NB#82793 Browser side 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Wed, 19 Mar 2008 16:26:50 +0200

libgtkmozembed (1.1.9-6) unstable; urgency=low

  * Add kinetic scroll patches

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue, 18 Mar 2008 10:16:30 +0200

libgtkmozembed (1.1.9-5) unstable; urgency=low

  * Updating Makefiles back 

 -- Anton Rogaynis <rogainis@gmail.com>  Tue, 18 Mar 2008 08:49:58 -0400

libgtkmozembed (1.1.9-4) unstable; urgency=low

  * Partial fixes for NB#82617 

 -- Anton Rogaynis <rogainis@gmail.com>  Mon, 17 Mar 2008 14:13:59 -0400

libgtkmozembed (1.1.9-3) unstable; urgency=low

  * Fixes: NB#82378, missing include 

 -- Oleg Romashin <romaxa@gmail.com>  Fri, 14 Mar 2008 17:46:08 +0200

libgtkmozembed (1.1.9-2) unstable; urgency=low

  * Fixes: NB#82378 Downloading goes to pause -state when device goes to power saving mode

 -- Oleg Romashin <romaxa@gmail.com>  Fri, 14 Mar 2008 17:45:14 +0200

libgtkmozembed (1.1.9-1) unstable; urgency=low

  * Fixes: NB#78239 Chr+key doesn't work properly in input fields

 -- Oleg Romashin <romaxa@gmail.com>  Fri, 14 Mar 2008 16:43:46 +0200

libgtkmozembed (1.1.8-3) unstable; urgency=low

  * Additional fixes for bug 78180 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 13 Mar 2008 16:23:21 +0200

libgtkmozembed (1.1.8-2) unstable; urgency=low

  * Fixed proper patch apply
  * Enabled EmbedCommon destroy before killing process

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 13 Mar 2008 15:46:54 +0200

libgtkmozembed (1.1.8-1) unstable; urgency=low

  * Fixes: NB#78180 Browser crash, when user open and close statistics window	several times

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 13 Mar 2008 15:38:59 +0200

libgtkmozembed (1.1.7-1) unstable; urgency=low

  * Fixed proper installation error message 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 13 Mar 2008 12:29:50 +0200

libgtkmozembed (1.1.6-3) unstable; urgency=low

  * Fixes: NB#82500 RSS functionality broke Browser UI specification


