=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,7 @@
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
 PKGVERSION      := $(shell dpkg-parsechangelog | grep ^Version:.* | cut -d ' ' -f 2)
+PKGNAME         := $(shell dpkg-parsechangelog | grep ^Source:.* | cut -d ' ' -f 2)
 
 configopts += $(ADD_OPTIONS)
 optimize_add =
@@ -17,6 +18,8 @@
 debug:=n
 openssl:=y
 logging:=n
+newhildon:=y
+hildon:=y
 gtkmozembed:=n
 
 GCCVER=.gcc$(shell gcc --version | grep gcc | cut -d ' ' -f 3)
@@ -37,6 +40,8 @@
 STAMPDIR_LOG:=$(CURDIR)/stampdir/log
 STAMPDIR_PATCH:=$(CURDIR)/stampdir/log/patch
 builddir:=$(CURDIR)/src
+srctools:=../../srctools
+microb:=../../microb
 objdebdir:=obj-$(DEB_BUILD_GNU_TYPE)
 
 ifneq (,$(findstring parallel,$(DEB_BUILD_OPTIONS)))
@@ -96,15 +101,26 @@
 
 ifneq (,$(findstring $(DEB_HOST_ARCH),arm armel))
 ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
-	optimize_add += -mthumb
-endif
-	optimize_add += -march=armv5t
+#	optimize_add += -mthumb
+endif
 else
 ifeq ($(MAEMO),.maemo)
 	configopts += --enable-maemo
 else
 	configopts += --disable-maemo
 endif
+endif
+
+ifeq ($(hildon),y)
+	configopts += --enable-hildon
+else
+	configopts += --disable-hildon
+endif
+
+ifeq ($(newhildon),y)
+	configopts += --enable-newhildon
+else
+	configopts += --disable-newhildon
 endif
 
 ifeq ($(logging),y)
@@ -150,13 +166,19 @@
 
 unpack: unpack-stamp
 unpack-stamp:
-	tar -zxvf $(CURDIR)/tarballs/src.tar.gz
-	cd src && ln -s ../srctools/export.map && ln -s ../srctools/Makefile.am
+	tar -zxvf tarballs/gtk.tar.gz && ln -s gtk/src .
+	cd gtk/src && rm -f EmbedDownloadMgr.cpp EmbedDownloadMgr.h EmbedGlobalHistory.cpp EmbedGlobalHistory.h gtkmozembed_download.cpp gtkmozembed_download.h EmbedCertificates.cpp EmbedCertificates.h
+	cd $(builddir) && ln -s $(srctools)/export.map && ln -s $(srctools)/Makefile.am && ln -s $(microb) .
 	touch unpack-stamp
 
 $(objdebdir)/config.status:
 	dh_testdir
-	cp $(CURDIR)/src/Makefile.in Makefile.in.1
+	cp -f $(builddir)/Makefile.in Makefile.in.1
+
+	for f in `find debian/ -name "[^c]*.in"`; do \
+		sed -e "s/@PACKAGEVERSION@/${PKGVERSION}/g" -e "s/@PACKAGENAME@/${PKGNAME}/g"  $$f > `echo $$f | sed -e "s/\.in//"`; \
+	done
+				
 	./autogen.sh --prefix=/usr
 	mkdir -p $(objdebdir)
 	cd $(objdebdir) && CUSTOM_VERSION="$(APPVERSION)" CFLAGS="$(CFLAGS) -fPIC -DPIC" CXXFLAGS="$(CXXFLAGS) -fPIC -DPIC" ../configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr $(configopts)
@@ -178,9 +200,10 @@
 	-cd $(objdebdir) && $(MAKE) clean
 	-cd $(objdebdir) && $(MAKE) distclean
 	rm -rf $(objdebdir)
-	rm -f include/gmozillaenginemarshal.h src/gmozillaenginemarshal.c
+	rm -f include/gmozillaenginemarshal.h $(builddir)/gmozillaenginemarshal.c
 	rm -f .pc *-stamp patches Makefile.in *.m4 compile config.guess config.h.in config.sub configure depcomp install-sh ltmain.sh missing 
-	rm -rf stampdir src
+	rm -rf stampdir $(builddir) debian/libgtkmozembed.postinst debian/libgtkmozembed.postrm microb/Makefile.in
+	rm -rf stampdir gtk
 	dh_clean 
 
 # patch stuff
@@ -200,7 +223,7 @@
 	fi; \
 	if quilt next; then \
 	  echo -n "Applying patches... "; \
-	    if cd $(builddir) && rm -f .pc && rm -f patches && ln -s ../.pc .pc && ln -s ../patches patches \
+	    if cd $(builddir) && rm -f .pc && rm -f patches && ln -s $(CURDIR)/.pc .pc && ln -s $(CURDIR)/patches patches \
 	       && quilt push -a -v >  $(STAMPDIR_PATCH); then \
 	    echo "successful."; \
 	  else \
