## libgtkmozembed 1.2.3-5.7

=== debian/changelog ===
libgtkmozembed (1.2.3-5.7) unstable; urgency=low

  * Fixes: NB#87599 CSM shouldn't be opened when the slider is in use.

 -- Ben <ben@koku.research.nokia.com>  Mon, 25 Aug 2008 14:55:52 +0300

libgtkmozembed (1.2.3-5.6) unstable; urgency=low

  * Fixes: NB#86287 continuous panning while navigating (link/url/fwd/back) crashes browserd

 -- Ben <ben@koku.research.nokia.com>  Wed, 20 Aug 2008 14:55:41 +0300

libgtkmozembed (1.2.3-5.5) unstable; urgency=low

  *  Fixes: NB#86416 browserd crashed while browsing through a page (closing a
     pop-up propably involved)

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Tue, 15 Jul 2008 15:43:30 +0300
