## libgtkmozembed 1.7.6.1-1+0m5

=== debian/changelog ===
libgtkmozembed (1.7.6.1-1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Sat, 12 Sep 2009 16:09:58 +0300

libgtkmozembed (1.7.6.1-1) unstable; urgency=low

  * (From 1.7.8-1) Fixes: NB#137044 Memory leak in browserd with repeated
    webpage with forms reloading

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Wed,  9 Sep 2009 17:27:09 +0300

libgtkmozembed (1.7.6-1) unstable; urgency=low

  * Fixes: NB#132905 crash happened when closing a window and switching to another

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun, 23 Aug 2009 13:18:25 +0300

libgtkmozembed (1.7.5-3) unstable; urgency=low

  * Fixes: NB#118966 - crash [@ EmbedPrivate::Hide]

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Thu, 20 Aug 2009 08:57:12 +0300

libgtkmozembed (1.7.5-2) unstable; urgency=low

  * Bump version for rebuilding with microb-engine (20090612-40)

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue, 18 Aug 2009 13:42:18 +0300

libgtkmozembed (1.7.5-1) unstable; urgency=low

  * Fixes: NB#132119 Multiapps: Browserd crash seen with 10 browsers and opening a recevied

 -- Oleg Romashin <oleg.romashin@nokia.com>  Wed, 12 Aug 2009 11:19:32 +0300

libgtkmozembed (1.7.4-2) unstable; urgency=low

  * Fixed changelog

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun, 09 Aug 2009 20:56:46 +0300

libgtkmozembed (1.7.4-1) unstable; urgency=low

  * Fixes: NB#103570 Find on Page is not consistent in searching text

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun, 09 Aug 2009 17:25:05 +0300

libgtkmozembed (1.7.3-1) unstable; urgency=low

  * Fixes: NB#130434 valgrind-reported possible browserd leaks in w30-14

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 03 Aug 2009 21:12:09 +0300

libgtkmozembed (1.7.2-1) unstable; urgency=low

  * Fixes for bug 130434 valgrind-reported possible browserd leaks in w30-14

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 03 Aug 2009 19:36:35 +0300

libgtkmozembed (1.7.1-2) unstable; urgency=low

  * Updated changelog

 -- Oleg Romashin <romaxa@gmail.com>  Mon, 03 Aug 2009 08:39:01 +0300

libgtkmozembed (1.7.1-1) unstable; urgency=low

  * Fixes for bug 130434 valgrind-reported possible browserd leaks

 -- Oleg Romashin <romaxa@gmail.com>  Mon, 03 Aug 2009 08:37:27 +0300

libgtkmozembed (1.7.0-1) unstable; urgency=low

  * Fixes: NB#121330 Ctrl+Right and Ctrl+Left cycle through browser engine input fields

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sat, 01 Aug 2009 18:22:55 +0300

libgtkmozembed (1.6.10-2) unstable; urgency=low

  *  Updated changelog

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Thu, 30 Jul 2009 16:32:49 +0300

libgtkmozembed (1.6.10-1) unstable; urgency=low

  * Fixes: NB#128865 - New repetitive core from week 29 pre-releases 

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Mon, 27 Jul 2009 22:33:17 +0300

libgtkmozembed (1.6.9-1) unstable; urgency=low

  * Fixes: NB#124062 Possible memory leak in browserd when browsing multiple web pages

 -- Oleg Romashin <romaxa@gmail.com>  Sun, 26 Jul 2009 15:44:13 +0300

libgtkmozembed (1.6.8-1) unstable; urgency=low

  * Fixes for bug 128488 valgrind-reported possible browserd leaks in w29-4

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 16 Jul 2009 17:01:09 +0300

libgtkmozembed (1.6.7-1) unstable; urgency=low

  * Fixes: NB#127306 we are leaking nsIWebBrowser

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 16 Jul 2009 11:29:18 +0300

libgtkmozembed (1.6.6-1.1) unstable; urgency=low

  * Bump version

 -- Oleg Romashin <romaxa@gmail.com>  Mon, 13 Jul 2009 20:07:03 +0300

libgtkmozembed (1.6.6-1) unstable; urgency=low

  * Fixes: NB#122519 Browser plugins should suspend when browser application goes to background

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 13 Jul 2009 11:26:13 +0300

libgtkmozembed (1.6.5-1) unstable; urgency=low

  * Merge engine update

 -- Tuukka Tolvanen <tuukka.tolvanen@nokia.com>  Thu, 09 Jul 2009 15:28:34 +0300

libgtkmozembed (1.6.4-1+0microbenginetrunk2) unstable; urgency=low

  * Retag trunk branch

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 09 Jul 2009 10:58:58 +0300

libgtkmozembed (1.6.4-1+0microbenginetrunk1) unstable; urgency=low

  * Fixes: NB#127306 we are leaking nsIWebBrowser

 -- Oleg Romashin <oleg.romashin@nokia.com>  Wed, 08 Jul 2009 23:49:41 +0300

libgtkmozembed (1.6.3-1+0microbenginetrunk1) unstable; urgency=low

  * Merged changes from libgtkembedmoz up to 1.6.3-1
  * Fixed building with trunk

 -- Oleg Romashin <romaxa@gmail.com>  Sun, 07 Jun 2009 07:49:00 +0300

libgtkmozembed (1.6.3-1) unstable; urgency=low

  * Fixes for bug 124409 Remove XEmbed widget from responsive browser UI

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 06 Jul 2009 18:03:08 +0300

libgtkmozembed (1.6.2-8) unstable; urgency=low

  * Fixes for bug 124409: Remove XEmbed widget from responsive browser UI

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Thu, 25 Jun 2009 11:09:45 +0300

libgtkmozembed (1.6.2-7) unstable; urgency=low

  * Unit test updates

 -- Aiken Tie <ext-tie.aiken@nokia.com>  Mon, 22 Jun 2009 15:04:41 +0300

libgtkmozembed (1.6.2-6) unstable; urgency=low

  * Updated changelog

 -- Oleg Romashin <romaxa@gmail.com>  Sun, 07 Jun 2009 07:50:17 +0300

libgtkmozembed (1.6.2-5) unstable; urgency=low

  * Temporary logging added for debugging bug 114285 (random crash)
      Removed KILL by SIGUSR1.

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 04 Jun 2009 19:45:53 +0300

libgtkmozembed (1.6.2-4) unstable; urgency=low

  * Temporary logging added for debugging bug 114285 (random crash)

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 04 Jun 2009 19:38:06 +0300

libgtkmozembed (1.6.2-3) unstable; urgency=low

  * Removed obsolete dependency (SDK preparations)

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun, 31 May 2009 14:08:14 +0300

libgtkmozembed (1.6.2-2) unstable; urgency=low


