=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Oleg Romashin <oleg.romashin@nokia.com>
-Build-Depends: debhelper (>= 4.0.0), microb-engine-dev (>= 0.0.1-1), libgtk2.0-dev, libosso-gnomevfs2-dev, quilt, bc, libidl-dev, libhildon1-dev | hildon-libs-dev, osso-browser-translations-dev, libosso-dev, libdbus-1-dev | dbus-1-dev, libdbus-glib-1-dev | dbus-glib-1-dev
+Build-Depends: debhelper (>= 4.0.0), microb-engine-dev (>= 0.0.1-1), libgtk2.0-dev, libosso-gnomevfs2-dev, quilt, bc, libidl-dev, libhildon1-dev | hildon-libs-dev, libosso-dev, libdbus-1-dev | dbus-1-dev, libdbus-glib-1-dev | dbus-glib-1-dev
 Standards-Version: 3.6.0
 
 Package: libgtkmozembed-dev
