=== debian/rules ===
--- 
+++ 
@@ -128,6 +128,18 @@
 else
 	configopts += --disable-logging
 endif
+tests:=n
+ifneq (,$(findstring tests,$(DEB_BUILD_OPTIONS)))
+        tests:=y
+else
+        tests:=n
+endif
+
+ifeq ($(tests),y)
+        configopts += --enable-tests=yes
+else
+        configopts += --enable-tests=no
+endif
 
 ifeq ($(debug),y)
 	configopts += --disable-strip --enable-debug
@@ -147,8 +159,9 @@
 endif
 
 ifeq (,$(findstring cflagsopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS = $(optimize_add)
-	CXXFLAGS = $(optimize_add)
+	CFLAGS = -Wall
+	CFLAGS += $(optimize_add)
+	CXXFLAGS += $(CFLAGS)
 else
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
@@ -159,6 +172,15 @@
 endif
 endif
 
+	CFLAGS += -fshort-wchar
+	CXXFLAGS += -fshort-wchar
+ifneq ($(GCCENV),.cs)
+ifneq (,$(findstring $(DEB_HOST_ARCH),arm armel))
+	CFLAGS += -fno-short-wchar
+	CXXFLAGS += -fno-short-wchar
+endif
+endif
+
 ifeq ($(GCCENV),.cs)
 	CFLAGS += -fno-unit-at-a-time
 	CXXFLAGS += -fno-unit-at-a-time
@@ -166,14 +188,15 @@
 
 unpack: unpack-stamp
 unpack-stamp:
-	tar -zxvf tarballs/gtk.tar.gz && ln -s gtk/src .
+	#tar -zxvf tarballs/gtk.tar.gz && 
+	ln -s gtk/src .
 	cd gtk/src && rm -f EmbedDownloadMgr.cpp EmbedDownloadMgr.h EmbedGlobalHistory.cpp EmbedGlobalHistory.h gtkmozembed_download.cpp gtkmozembed_download.h EmbedCertificates.cpp EmbedCertificates.h
 	cd $(builddir) && ln -s $(srctools)/export.map && ln -s $(srctools)/Makefile.am && ln -s $(microb) .
 	touch unpack-stamp
 
 $(objdebdir)/config.status:
 	dh_testdir
-	cp -f $(builddir)/Makefile.in Makefile.in.1
+#	cp -f $(builddir)/Makefile.in Makefile.in.1
 
 	for f in `find debian/ -name "[^c]*.in"`; do \
 		sed -e "s/@PACKAGEVERSION@/${PKGVERSION}/g" -e "s/@PACKAGENAME@/${PKGNAME}/g"  $$f > `echo $$f | sed -e "s/\.in//"`; \
@@ -184,7 +207,7 @@
 	cd $(objdebdir) && CUSTOM_VERSION="$(APPVERSION)" CFLAGS="$(CFLAGS) -fPIC -DPIC" CXXFLAGS="$(CXXFLAGS) -fPIC -DPIC" ../configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr $(configopts)
 	# Add here commands to configure the package.
 
-build: unpack-stamp patch-stamp build-stamp
+build: unpack-stamp build-stamp
 build-stamp:  $(objdebdir)/config.status
 	dh_testdir
 	# Add here commands to compile the package.
@@ -203,7 +226,9 @@
 	rm -f include/gmozillaenginemarshal.h $(builddir)/gmozillaenginemarshal.c
 	rm -f .pc *-stamp patches Makefile.in *.m4 compile config.guess config.h.in config.sub configure depcomp install-sh ltmain.sh missing 
 	rm -rf stampdir $(builddir) debian/libgtkmozembed.postinst debian/libgtkmozembed.postrm microb/Makefile.in
-	rm -rf stampdir gtk
+	rm -rf stampdir gtk/src/microb gtk/src/Makefile.am gtk/src/export.map gtk/src/Makefile.in
+#	cp -rf Makefile.in.1 gtk/src/Makefile.in
+#	rm -f Makefile.in.1
 	dh_clean 
 
 # patch stuff
@@ -277,13 +302,3 @@
 	dh_strip --dbg-package=libgtkmozembed
 	dh_compress
 	dh_fixperms
-	dh_makeshlibs -V
-	dh_installdeb
-	dh_shlibdeps
-#lintiandh_gencontrol  -- -v$(PKGVERSION)$(GCCVER)$(VERSUFFIX) 
-	dh_gencontrol
-	dh_md5sums
-	dh_builddeb
-
-binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install
