## libgtkmozembed 1.7.7.4-1+0m5

=== debian/changelog ===
libgtkmozembed (1.7.7.4-1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Tuukka Tolvanen <tuukka.tolvanen@nokia.com>  Thu, 05 Nov 2009 16:56:52 +0200

libgtkmozembed (1.7.7.4-1) unstable; urgency=low

  * (From 1.8.2-2) Fixes: NB#120021 UI readiness for linked pages in
    browser main page is not shown in syslog

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 22 Oct 2009 13:56:45 +0300

libgtkmozembed (1.7.7.3-1) unstable; urgency=low

  * (From 1.8.2-1) Fixes: NB#141285 - libgtkmozembed crashes on window
    unrealize (tries to reparent widget)

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Tue, 20 Oct 2009 16:14:32 +0300

libgtkmozembed (1.7.7.2-1) unstable; urgency=low

  * (From 1.8.1-2) Fixes for NB#138144 Ovi bookmark does not get updated with
    page thumbnail and sometimes becomes blank

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri, 18 Sep 2009 11:44:26 +0300

libgtkmozembed (1.7.7.1-1) unstable; urgency=low

  * Merge from trunk up to 1.7.7-2

 -- Tuukka Tolvanen <tuukka.tolvanen@nokia.com>  Tue, 06 Oct 2009 18:42:57 +0300

libgtkmozembed (1.7.7-2) unstable; urgency=low

  * Fixes: NB#131709 Enlarged image of product doesn't display on ebay.com

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Mon, 31 Aug 2009 18:30:10 +0300

libgtkmozembed (1.7.7-1) unstable; urgency=low

  * Fixes: NB#135525 browserd crashed when closing new opened window

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 27 Aug 2009 16:47:33 +0300
