## libgtkmozembed 1.8.7-2.1+0m5

=== debian/changelog ===
libgtkmozembed (1.8.7-2.1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Tuukka Tolvanen <tuukka.tolvanen@nokia.com>  Mon, 25 Jan 2010 16:12:17 +0200

libgtkmozembed (1.8.7-2.1) unstable; urgency=low

  * Merge from libgtkembedmoz up to 1.8.7-2

 -- Tuukka Tolvanen <tuukka.tolvanen@nokia.com>  Thu, 21 Jan 2010 20:54:51 +0200

libgtkmozembed (1.8.7-2) unstable; urgency=low

  * Fixes: NB#115176 Image file size is displayed a zero if opened from browser

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Thu, 17 Dec 2009 10:45:55 +0200

libgtkmozembed (1.8.7-1) unstable; urgency=low

  * Fixes: NB#149073 - When link is put in the 'Area' tag CSM doesn't invoke with correct option.

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Fri, 11 Dec 2009 12:23:46 +0200

libgtkmozembed (1.8.6-1) unstable; urgency=low

  * Fixes: NB#146857 - Empty page is open when you select 'Open in new window' option in specific situation

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Tue,  8 Dec 2009 18:12:23 +0200

libgtkmozembed (1.8.5-1) unstable; urgency=low

  * Fixes: NB#120965 - tapping browser rss icon lists two RSS feeds, one from an iframe

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Thu,  3 Dec 2009 17:19:30 +0200

libgtkmozembed (1.8.4-1) unstable; urgency=low

  * Bump version for engine update

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue, 10 Nov 2009 23:36:50 +0200

libgtkmozembed (1.8.3-1) unstable; urgency=low

  * Bump version for engine update

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun, 01 Nov 2009 15:10:47 +0200

libgtkmozembed (1.8.2-2) unstable; urgency=low

  * Fixed NB#120021 UI readiness for linked pages in browser main page is
    not shown in syslog

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 22 Oct 2009 13:56:45 +0300

libgtkmozembed (1.8.2-1) unstable; urgency=low

  * Fixed NB#141285 - libgtkmozembed crashes on window unrealize (tries to
    reparent widget)

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Tue, 20 Oct 2009 16:14:32 +0300

libgtkmozembed (1.8.1-3) unstable; urgency=low

  * Fixes: NB#140468 - Nonreproducible browserd crash while opening pages from desktop widget 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 24 Sep 2009 15:44:43 +0300

libgtkmozembed (1.8.1-2) unstable; urgency=low

  * Fixed NB#138144 Ovi bookmark does not get updated with page thumbnail
    and sometimes becomes blank

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri, 18 Sep 2009 11:44:26 +0300

libgtkmozembed (1.8.1-1) unstable; urgency=low

  * Fixes: NB#133221 - Browser does not offer to subscribe to RSS-Feed 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue, 15 Sep 2009 12:54:41 +0300

libgtkmozembed (1.8.0-4) unstable; urgency=low

  * Fixed dependency

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue, 15 Sep 2009 00:35:50 +0300

libgtkmozembed (1.8.0-3) unstable; urgency=low

  * Updated changelog

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 14 Sep 2009 23:31:55 +0300

libgtkmozembed (1.8.0-2) unstable; urgency=low

  * Fixed NB#127504 Engine update to mozilla-1.9.2 release required, dep fix

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 14 Sep 2009 20:49:52 +0300

libgtkmozembed (1.8.0-1) unstable; urgency=low

  * Fixes 127504 Engine update to mozilla-1.9.2 release required 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 14 Sep 2009 18:04:44 +0300

libgtkmozembed (1.7.8-1.2) unstable; urgency=low

  * Bump version

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sat, 12 Sep 2009 12:59:26 +0300

libgtkmozembed (1.7.8-1.1) unstable; urgency=low

  * Bump version, fix tag

 -- Oleg Romashin <romaxa@gmail.com>  Fri, 11 Sep 2009 09:18:56 +0300

libgtkmozembed (1.7.8-1) unstable; urgency=low

  * Fixes for 137044 Memory leak in browserd with repeated webpage with forms reloading

 -- Oleg Romashin <oleg.romashin@nokia.com>  Wed, 09 Sep 2009 14:43:23 +0300
